Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model
Class QueryOptions

    java.lang.Object
      biouml.model.QueryOptions

Direct Known Subclasses:
  PathwayQueryOptions

public class QueryOptions
extends java.lang.Object

Field Summary
`static int` | `DEFAULT_DEPTH`
`static int` | `DIRECTION_BOTH`
`static int` | `DIRECTION_DOWN`
`static int` | `DIRECTION_REACHABLE`
`static int` | `DIRECTION_UNDEFINED`
`static int` | `DIRECTION_UP`

Constructor Summary
`QueryOptions()`
`QueryOptions(int depth, int direction)`

Method Summary
`int` | `getDepth()`
`int` | `getDirection()`
`void` | `setDepth(int depth)`
`void` | `setDirection(int direction)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_DEPTH

    public static final int DEFAULT_DEPTH

See Also:
  Constant Field Values

### DIRECTION_UNDEFINED

    public static final int DIRECTION_UNDEFINED

See Also:
  Constant Field Values

### DIRECTION_UP

    public static final int DIRECTION_UP

See Also:
  Constant Field Values

### DIRECTION_DOWN

    public static final int DIRECTION_DOWN

See Also:
  Constant Field Values

### DIRECTION_REACHABLE

    public static final int DIRECTION_REACHABLE

See Also:
  Constant Field Values

### DIRECTION_BOTH

    public static final int DIRECTION_BOTH

See Also:
  Constant Field Values

Constructor Detail

### QueryOptions

    public QueryOptions()

### QueryOptions

    public QueryOptions(int depth,
                        int direction)

Method Detail

### getDepth

    public int getDepth()

### setDepth

    public void setDepth(int depth)

### getDirection

    public int getDirection()

### setDirection

    public void setDirection(int direction)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.